std::flush_emit(3)

NAME
std::flush_emit - std::flush_emit

Synopsis
   Defined in header <ostream>
   template< class CharT, class Traits >
   std::basic_ostream<CharT, Traits>& flush_emit( (since C++20)
   std::basic_ostream<CharT, Traits>& os );
   Flushes the output sequence os as if by calling os.flush(). Then, if os.rdbuf()
   actually points to a std::basic_syncbuf<CharT, Traits, Allocator> buf, calls
   buf.emit().
   This is an output-only I/O manipulator, it may be called with an expression such as
   out << std::flush_emit for any out of type std::basic_ostream.

Parameters
   os - reference to output stream

Return value
   os (reference to the stream after manipulation)

Example
    This section is incomplete
    Reason: no example

See also
   flush synchronizes with the underlying storage device
         (public member function of std::basic_ostream<CharT,Traits>)